Index: boto/ec2/blockdevicemapping.py
===================================================================
--- boto/ec2/blockdevicemapping.py      (revision 1486)
+++ boto/ec2/blockdevicemapping.py      (working copy)
@@ -20,11 +20,11 @@
 # IN THE SOFTWARE.
 #
 
-class EBSBlockDeviceType(object):
+class BlockDeviceType(object):
 
     def __init__(self, connection=None):
         self.connection = connection
-        self.virtual_name = None
+        self.ephemeralName = None
         self.volume_id = None
         self.snapshot_id = None
         self.status = None
@@ -38,8 +38,8 @@
     def endElement(self, name, value, connection):
         if name =='volumeId':
             self.volume_id = value
-        elif name == 'virtualName':
-            self.virtual_name = value
+        elif name == 'ephemeralName':
+            self.ephemeral_name = value
         elif name =='snapshotId':
             self.snapshot_id = value
         elif name == 'volumeSize':
@@ -66,7 +66,7 @@
 
     def startElement(self, name, attrs, connection):
         if name == 'ebs':
-            self.current_value = EBSBlockDeviceType(self)
+            self.current_value = BlockDeviceType(self)
             return self.current_value
 
     def endElement(self, name, value, connection):
@@ -80,15 +80,15 @@
         for dev_name in self:
             pre = '%sBlockDeviceMapping.%d' % (prefix, i)
             params['%s.DeviceName' % pre] = dev_name
-            ebs = self[dev_name]
-            if ebs.snapshot_id:
-                params['%s.Ebs.SnapshotId' % pre] = ebs.snapshot_id
-                if ebs.size:
-                    params['%s.Ebs.VolumeSize' % pre] = ebs.size
-                if ebs.delete_on_termination:
+            dev = self[dev_name]
+            if dev.snapshot_id:
+                params['%s.Ebs.SnapshotId' % pre] = dev.snapshot_id
+                if dev.size:
+                    params['%s.Ebs.VolumeSize' % pre] = dev.size
+                if dev.delete_on_termination:
                     params['%s.Ebs.DeleteOnTermination' % pre] = 'true'
                 else:
                     params['%s.Ebs.DeleteOnTermination' % pre] = 'false'
-            elif ebs.virtual_name:
-                params['%s.VirtualName' % pre] = ebs.virtual_name
+            elif dev.ephemeral_name:
+                params['%s.VirtualName' % pre] = dev.ephemeral_name
             i += 1
